package eserciziInterfacce.esempioCalcolatrice;

import eserciziInterfacce.esempioCalcolatrice.interfacce.CalcolatriceInterface;
import eserciziInterfacce.esempioCalcolatrice.utility.ConvertitoreDecimaliRomani;

public class CalcolatriceRomana   implements CalcolatriceInterface {
    private ConvertitoreDecimaliRomani convertitoreDecimaliRomani;
	
    public CalcolatriceRomana() {
    	convertitoreDecimaliRomani = new ConvertitoreDecimaliRomani();
    }
    
    
	@Override
	public String somma(String a, String b) {
		String  result;
		Integer resultInteger;
		
		Integer aInteger;
		Integer bInteger;
		
		
		aInteger 		= convertitoreDecimaliRomani.convertToDecimal(a);
		bInteger 		= convertitoreDecimaliRomani.convertToDecimal(b);
		
		resultInteger   = aInteger + bInteger;
		result			= convertitoreDecimaliRomani.convertToRoman(resultInteger);
		
		return result;
	}

	@Override
	public String sottrazione(String a, String b) {
		String  result;
		Integer resultInteger;
		
		Integer aInteger;
		Integer bInteger;
		
		
		aInteger 		= convertitoreDecimaliRomani.convertToDecimal(a);
		bInteger 		= convertitoreDecimaliRomani.convertToDecimal(b);
		
		resultInteger   = aInteger - bInteger;
		result			= convertitoreDecimaliRomani.convertToRoman(resultInteger);
		
		return result;
	}

	@Override
	public String moltiplicazione(String a, String b) {
		String  result;
		Integer resultInteger;
		
		Integer aInteger;
		Integer bInteger;
		
		
		aInteger 		= convertitoreDecimaliRomani.convertToDecimal(a);
		bInteger 		= convertitoreDecimaliRomani.convertToDecimal(b);
		
		resultInteger   = aInteger * bInteger;
		result			= convertitoreDecimaliRomani.convertToRoman(resultInteger);
		
		return result;
	}

	@Override
	public String divisione(String a, String b) {
		String  result;
		Integer resultInteger;
		
		Integer aInteger;
		Integer bInteger;
		
		
		aInteger 		= convertitoreDecimaliRomani.convertToDecimal(a);
		bInteger 		= convertitoreDecimaliRomani.convertToDecimal(b);
		
		resultInteger   = aInteger / bInteger;
		result			= convertitoreDecimaliRomani.convertToRoman(resultInteger);
		
		return result;
	}
	
}
